IF_NAMETOINDEX(3P)

NAME
if_nametoindex - map a network interface name to its corresponding index

SYNOPSIS

#include <net/if.h>

unsigned if_nametoindex(const char *ifname);

DESCRIPTION

The if_nametoindex() function shall return the interface index corresponding to name ifname.

RETURN VALUE

The corresponding index if ifname is the name of an interface; otherwise, zero.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

getsockopt() , if_freenameindex() , if_indextoname() , if_nameindex() , setsockopt() , the Base Definitions volume of IEEE Std 1003.1-2001, <net/if.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .